#include <stdio.h>
#include "array.h"


int main(){
Stack *stack = NULL;
initStack(stack);
Array *a = initArray(a);
stack = pushStack(stack, a);
insertInt(a,0,0);
insertInt(a,1,1);
insertInt(a,2,2);
insertInt(a,3,3);
insertInt(a,4,4);
Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return 0;
}
